<?php

/*
Fotobook Options Panel
*/

$this_page = $_SERVER['PHP_SELF'].'?page='.$_GET['page'];

// update options if form is submitted
if (isset($_POST['submit'])) {
  fb_options_update_albums_page($_POST['fb_albums_page']);  
  update_option('fb_number_rows', $_POST['fb_number_rows']);
  update_option('fb_number_cols', $_POST['fb_number_cols']);
  update_option('fb_thumb_size', $_POST['fb_thumb_size']);
  if(isset($_POST['fb_album_cmts'])) {
    fb_options_toggle_comments(true);
    update_option('fb_album_cmts', 1);
  } else {
    fb_options_toggle_comments(false);
    update_option('fb_album_cmts', 0);
  }
  if(is_writable($fb_styles_file)) {
    file_put_contents($fb_styles_file, $_POST['fb_styles']);
  }
}

// get options to fill in input fields
$fb_albums_page = get_option('fb_albums_page');
$fb_number_rows = get_option('fb_number_rows');
$fb_number_cols = get_option('fb_number_cols');
$fb_album_cmts  = get_option('fb_album_cmts');
$fb_thumb_size  = get_option('fb_thumb_size');

// get pages (but don't show pages that are albums!)
$pages = $wpdb->get_results("SELECT * FROM $wpdb->posts WHERE post_status = 'static' AND post_parent = 0", ARRAY_A);
$albums = fb_get_album();
if(sizeof($albums) > 0) {
  foreach($albums as $album) {
    for($i=0; $i<sizeof($pages); $i++) {
      if($album['page_id'] == $pages[$i]['ID'])
        unset($pages[$i]);
    }
  }
}

// get stylesheet
$fb_styles = @file_get_contents($fb_styles_file);

?>             
<div class="wrap">
  <h2><?php _e('Fotobook Options') ?> <span style="font-size: 11px;"><a href="edit.php?page=fotobook/manage-fotobook.php">Go to Management &raquo;</a></h2>
  <form method="post" action="<?php echo $this_page ?>&amp;updated=true">
  	<fieldset class="options">
		<legend><?php _e('General') ?></legend>
    <table class="editform">
      <tr>
        <th scope="row"><?php _e('Albums Page') ?></th>
        <td>
          <select name="fb_albums_page">
            <?php if(!fb_albums_page_is_set()): ?>
            <option value="0" selected>Please select...</option>
            <?php endif; ?>
            <?php foreach($pages as $page): 
            if($page['ID'] == $fb_albums_page) $selected = ' selected'; 
            else $selected = null; ?>
            <option value="<?php echo $page['ID'] ?>"<?php echo $selected; ?>><?php echo $page['post_title']; ?></option>
            <?php endforeach; ?>
          </select>
          <?php _e('Select the page you want to use to display the photo albums.') ?>
        </td>
      </tr>
      <tr>
        <th scope="row"><?php _e('Number of Rows') ?></th>
        <td>
          <input name="fb_number_rows" type="text" value="<?php echo $fb_number_rows; ?>" size="3" />
          <?php _e('Set to \'0\' to display all.') ?>
        </td>
      </tr>
      <tr>
        <th scope="row"><?php _e('Number of Columns') ?></th>
        <td>
          <input name="fb_number_cols" type="text" value="<?php echo $fb_number_cols; ?>" size="3" />
          <?php _e('The number of columns of pictures.') ?>
        </td>
      </tr>
      <tr>
        <th scope="row"><?php _e('Max Thumbnail Size') ?></th>
        <td>
          <input name="fb_thumb_size" type="text" value="<?php echo $fb_thumb_size; ?>" size="3" />px
          <?php _e('The maximum size of the thumbnail. The default is 130px.') ?>
        </td>
      </tr>
      <tr>
        <th scope="row"><?php _e('Album Commenting') ?></th>
        <td>
          <label><input name="fb_album_cmts" type="checkbox" value="1" <?php if($fb_album_cmts) echo 'checked'; ?> />
          <?php _e('Allow commenting on individual albums.') ?></label>
        </td>
      </tr>
    </table>
    </fieldset>
    
    <fieldset class="options">
		<legend><?php _e('Stylesheet') ?></legend>
		<?php if($fb_styles !== false): ?>
		<textarea cols="70" rows="25" name="fb_styles" tabindex="1"><?php echo $fb_styles; ?></textarea>
		<?php if(!is_writeable($fb_styles_file)): ?>
		<p><em><?php _e('This file is not writeable.  The changes will not be saved.'); ?></em></p>
		<?php endif; ?>
		<?php else: ?>
		<p><em><?php e_('Could not access the stylesheet.  Make sure "fotobook-styles.css" exists in the Fotobook plugin directory.'); ?></em></p>
		<?php endif; ?>
		</fieldset>
    <p class="submit">
      <input type="submit" name="submit" value="<?php _e('Update Options') ?> &raquo;" />
    </p>
  </form>
</div> 
